import http from '@/utils/request'

/**
 * 查询用户历史会话列表
 * @params
 */
export function fetchQueryUserConversationPage<T>(data: T) {
  return http.post('/conversation/api/conversation/mobile/v1/query_user_conversation_page', data)
}

/**
 * 创建会话
 * @params { * }
 */
export function fetchCreateConversation<T>(data: T) {
  return http.post('/conversation/api/conversation/mobile/v1/create_conversation', data)
}

/**
 * 查询用户问答历史
 * @params { * }
 */
export function fetchUserQaRecordPage(conversationId: string) {
  return http.post('/conversation/api/conversation/mobile/v1/query_user_qa_record_list', { conversationId })
}
